﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication1
{
    public class TimeZone : IComparable
    {
        public int TimeZoneId { get; set; }
        public string TimeZoneCode { get; set; }
        public string UtcCode { get; set; }
        public string Alias { get; set; }
        public string TimeZoneDescription { get; set; }
        public int UtcHourOffset { get; set; }
        public int UtcMinuteOffset { get; set; }

        public TimeZone()
        {
            Alias = "CT";
                TimeZoneCode = "CT";
                TimeZoneDescription = "Central Time";
            TimeZoneId = 2;
                UtcCode = "-06:00";
                UtcHourOffset = -6;
                UtcMinuteOffset = 0;
        }

        public int CompareTo(object obj)
        {
            var myMinutes = (UtcHourOffset * 60) + UtcMinuteOffset;
            var theirTimeZone = (TimeZone)obj;
            var theirMinutes = (theirTimeZone.UtcHourOffset * 60) + theirTimeZone.UtcMinuteOffset;

            return myMinutes.CompareTo(theirMinutes);
        }
    }
}
